- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Updates a pull request comment.
HTTP request
PATCH https://securesourcemanager.asia-east1.rep.googleapis.com/v1/{pullRequestComment.name=projects/*/locations/*/repositories/*/pullRequests/*/pullRequestComments/*} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
pullRequestComment.name |
Identifier. Unique identifier for the pull request comment. The comment id is generated by the server. Format: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. Field mask is used to specify the fields to be overwritten in the pull request comment resource by the update. Updatable fields are This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of PullRequestComment.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/securesourcemanager.read-write
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
securesourcemanager.prcomments.update
For more information, see the IAM documentation.